Bug 31813 - Installer fails to recognize Win2k partition in LILO config
Installer fails to recognize Win2k partition in LILO config
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Fulbright
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-03-14 19:20 EST by Greg Corson
Modified: 2007-04-18 12:32 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-09-21 16:51:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Greg Corson 2001-03-14 19:20:17 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 5.0)


When you reach the LILO configuration page of the installer, my windows 
2000 partition is not recognized and doesn't show up on the list of boot 
choices.

Reproducible: Always
Steps to Reproduce:
1.Do custom install
2.create 23 meg /boot, 200 meg swap, 5922 meg / and id the 12927 meg win2k 
partition as /win
3. proceed to LILO installation page

	

Actual Results:  Only the linux boot partition is listed, the windows 
partition does not show up.

Expected Results:  Both the windows and linux partitions should have been 
recognized.

Going into this, the disk partition layout has 23.5 meg of free space, 
then the windows 2k partition of 12927 meg, then the rest free.

Partition magic shows the windows 2k partion is a PRIMARY partition of 
type NTFS/HPFS

The 23.5 meg of free space in front of the windows partition was created 
with partition magic so the boot sector could be below the 1024 cylinder 
limit (we thought we might want to fall back to a RedHat 6.2 install later 
so this seemed like a good idea).

All the linux partitions would be created by the RedHat installer.

Note: this machine is a sony PCG-SR17k which has no floppy disk.  I need a 
solution that will let me boot linux direct from hard disk.  I could try 
installing the "BootMagic" tool that Partition Magic comes with as an 
alternate bootloader if you think that would help.
Comment 1 Michael Fulbright 2001-03-20 00:13:40 EST
This is a known problem.    I will mark it as an issue to address next release.
Comment 2 Jeremy Katz 2001-09-21 16:55:27 EDT
NT partitions are detected and able to be added to the boot loader configuration
in Roswell, the beta for the next release of Red Hat Linux.

Note You need to log in before you can comment on or make changes to this bug.